Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QColormap.Mode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QColormap.Mode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QColormap

    public static final class QColormap.Mode

extends java.lang.Enum
implements QtEnumerator

This enum describes how `QColormap` maps device independent RGB values to device dependent pixel values.

See Also:
  Serialized Form

Field Summary
`static QColormap.Mode` | `Direct` Pixel values are derived directly from the RGB values, also known as "True Color."
`static QColormap.Mode` | `Gray` Similar to `Indexed`, pixel values represent a vector of available gray tones.
`static QColormap.Mode` | `Indexed` Pixel values represent indexes into a vector of available colors, i.

Method Summary
`static QColormap.Mode` | `resolve(int value)` Returns the QColormap$Mode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QColormap.Mode` | `valueOf(java.lang.String name)`
`static QColormap.Mode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Direct

    public static final QColormap.Mode Direct

  Pixel values are derived directly from the RGB values, also known as "True Color."

### Indexed

    public static final QColormap.Mode Indexed

  Pixel values represent indexes into a vector of available colors, i. . `QColormap` uses the index of the color that most closely matches an RGB value.

### Gray

    public static final QColormap.Mode Gray

  Similar to `Indexed`, pixel values represent a vector of available gray tones. `QColormap` uses the index of the gray tone that most closely matches the computed gray tone of an RGB value.

Method Detail

### values

    public static QColormap.Mode[] values()

### valueOf

    public static QColormap.Mode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QColormap.Mode resolve(int value)

  Returns the QColormap$Mode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD